export interface PrintData {
    template: string;
    type: string;
    receiptNo: number;
    columns: number;
    lines: Array<LineData>;
}
export interface LineData {
    type: LineType;
    text: string;
    linefeed: number;
    cutpercent: number;
    alignment: LineAligment;
    symbology: LineSymbology;
    textPosition: LineTextPosition;
    size: LineSize;
    bold: boolean;
    italic: boolean;
    underline: boolean;
}
export declare enum PrintTemplate {
    STANDARD = "STANDARD"
}
export declare enum PrintType {
    SALE = "SALE"
}
export declare enum LineType {
    TEXT = "TEXT",
    QRCODE = "QRCODE",
    BARCODE = "BARCODE",
    IMAGE = "IMAGE",
    FEED = "FEED",
    CUT = "CUT"
}
export declare enum LineAligment {
    CENTER = "CENTER",
    LEFT = "LEFT",
    RIGHT = "RIGHT"
}
export declare enum LineSymbology {
    ITF = "ITF",
    EAN13 = "EAN13",
    CODE128 = "CODE128",
    DEFAULT = "ITF"
}
export declare enum LineTextPosition {
    BELOW = "BELOW",
    ABOVE = "ABOVE"
}
export declare enum LineSize {
    SMALL = "SMALL",
    NORMAL = "NORMAL",
    LARGE = "LARGE"
}
